import java.util.Scanner; 
public class PrimerExamen
{ 
public static void main(String args[]) 
{ 
  
Scanner teclado = new Scanner(System.in); 
System.out.println("LED number display: "); 
System.out.println("Numero a mostrar [0=Salir]: "); 
int numeroIngresado = teclado.nextInt();

System.out.print ("Factor de aumento: ");
int factorAumento = teclado.nextInt();

int millar = ( numeroIngresado / 1000 );
int centena = ( numeroIngresado % 1000 ) / 100;
int decena = ( numeroIngresado % 100 ) / 10;
int unidad = ( numeroIngresado % 10 );


//MILLARES
 switch (millar)
 {
  case 1:
for ( int fila = 1; fila <= (factorAumento*5); ++fila ) 
{ 
for ( int columna = 1; columna <= factorAumento; ++columna ) 
System.out.print("#"); 
System.out.println(); 
}
break;
//Aqui comienza el numero 2
   case 2:
     //Seccion horizontal primera
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento*3); ++fila )
System.out.print("#"); 
System.out.println();
   }
     //Seccion vertical primera
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for (int filav = 1; filav <= (factorAumento*2); ++filav) 
System.out.print ("   ");
{
for ( int fila = 1; fila <= (factorAumento*3); ++fila )
System.out.print("#"); 
System.out.println();
     }
     }
     //Seccion horizontal segunda
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento*3); ++fila )
System.out.print("#"); 
System.out.println();
   }
     //Seccion vertical segunda
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= factorAumento; ++fila )
System.out.print("#"); 
System.out.println();
     }
     //Seccion horizontal tercera
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento*3); ++fila )
System.out.print("#"); 
System.out.println();
   }
  
break;
   case 0:
     for ( int fila = 1; fila <= (factorAumento*5); ++fila ) 
{ 
for ( int columna = 1; columna <= (factorAumento*3); ++columna ) 
System.out.print("#"); 
System.out.println(); 
}
break;    
 }
 
 System.out.println();
 
 //CENTENAS
 switch (centena)
 {
  case 1:
for ( int fila = 1; fila <= (factorAumento*5); ++fila ) 
{ 
for ( int columna = 1; columna <= factorAumento; ++columna ) 
System.out.print("#"); 
System.out.println(); 
}
break;
//Aqui comienza el numero 2
   case 2:
     //Seccion horizontal primera
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento*3); ++fila )
System.out.print("#"); 
System.out.println();
   }
     //Seccion vertical primera
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento); ++fila )
System.out.print("#"); 
System.out.println();
     }
     //Seccion horizontal segunda
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento*3); ++fila )
System.out.print("#"); 
System.out.println();
   }
     //Seccion vertical segunda
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= factorAumento; ++fila )
System.out.print("#"); 
System.out.println();
     }
     //Seccion horizontal tercera
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento*3); ++fila )
System.out.print("#"); 
System.out.println();
   }
  
break;
   case 3:
     for ( int fila = 1; fila <= (factorAumento*5); ++fila ) 
{ 
for ( int columna = 1; columna <= (factorAumento*3); ++columna ) 
System.out.print("#"); 
System.out.println(); 
}
break;   
 }
 
 System.out.println();
 
 //DECENAS
  switch (decena)
 {
  case 1:
for ( int fila = 1; fila <= (factorAumento*5); ++fila ) 
{ 
for ( int columna = 1; columna <= factorAumento; ++columna ) 
System.out.print("#"); 
System.out.println(); 
}
break;
//Aqui comienza el numero 2
   case 2:
     //Seccion horizontal primera
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento*3); ++fila )
System.out.print("#"); 
System.out.println();
   }
     //Seccion vertical primera
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento); ++fila )
System.out.print("#"); 
System.out.println();
     }
     //Seccion horizontal segunda
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento*3); ++fila )
System.out.print("#"); 
System.out.println();
   }
     //Seccion vertical segunda
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= factorAumento; ++fila )
System.out.print("#"); 
System.out.println();
     }
     //Seccion horizontal tercera
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento*3); ++fila )
System.out.print("#"); 
System.out.println();
   }
  
break;
   case 0:
     for ( int fila = 1; fila <= (factorAumento*5); ++fila ) 
{ 
for ( int columna = 1; columna <= (factorAumento*3); ++columna ) 
System.out.print("#"); 
System.out.println(); 
}
break;    
 }
  
  System.out.println();
  
  //UNIDADES
  switch (unidad)
 {
  case 1:
for ( int fila = 1; fila <= (factorAumento*5); ++fila ) 
{ 
for ( int columna = 1; columna <= factorAumento; ++columna ) 
System.out.print("#"); 
System.out.println(); 
}
break;
//Aqui comienza el numero 2
   case 2:
     //Seccion horizontal primera
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento*3); ++fila )
System.out.print("#"); 
System.out.println();
   }
     //Seccion vertical primera
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento); ++fila )
System.out.print("#"); 
System.out.println();
     }
     //Seccion horizontal segunda
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento*3); ++fila )
System.out.print("#"); 
System.out.println();
   }
     //Seccion vertical segunda
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= factorAumento; ++fila )
System.out.print("#"); 
System.out.println();
     }
     //Seccion horizontal tercera
     for ( int columna = 1; columna <= factorAumento; ++columna )     
{ 
for ( int fila = 1; fila <= (factorAumento*3); ++fila )
System.out.print("#"); 
System.out.println();
   }
  
break;
   case 0:
     for ( int fila = 1; fila <= (factorAumento*5); ++fila ) 
{ 
for ( int columna = 1; columna <= (factorAumento*3); ++columna ) 
System.out.print("#"); 
System.out.println(); 
}
break;    
 }
 
     
     

}
}